﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=7.8
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public rss As RSSParser
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
	rss.Initialize("RSS")
	Parse("http://www.androidcentral.com/feed")
End Sub
Sub Parse(url As String)
	rss.ParseRSS(url)
End Sub
Sub Service_Start (StartingIntent As Intent)
End Sub
Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub
'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub
Sub Service_Destroy
End Sub

Sub RSS_onError()
	
End Sub
Sub RSS_Completed(articles As Object)
	If articles <> Null Then
		Dim articlelist As List = articles
		Log(articlelist.Size)
		If articlelist.Size > 0 Then
			For i= 0 To articlelist.Size-1
				Dim art As Article = articlelist.Get(i)
				Log($"Article #${i} ${art.Title}"$)
				Log($"Article #${i} ${art.Description}"$)
				Log($"Article #${i} $date{art.PubDate}"$)
				Log($"Article #${i} ${art.Image}"$)
				Log($"Article #${i} ${art.Categories}"$)
			Next
		End If
	End If
End Sub